搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Downloaded Firefox 4 but message comes up 'cannot open Firefox 4. Not supported on this system.,

more options

I have been using Firefox 3.6.16. successfully for years, occasionally updating.

As suggested, I now downloaded Firefox 4. The Firefox 4 icon is on my desktop and also I have dragged it into my Applications file. On trying to go futher I am told it cannot be opened on this system. I am using MAC OS X, 10.4.11

所有回覆 (1)

more options

http://www.mozilla.com/en-US/firefox/4.0/system-requirements/

For older Macs that aren't supported in Firefox 4.0, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/